## akonadi 25.11.90

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.5.90")
project(Akonadi VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.18.0")
set(QT_REQUIRED_VERSION "6.8.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH
    ${ECM_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    *.cpp
    *.h
    *.c
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(CheckAtomic)
include(CheckIncludeFiles)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(CheckSymbolExists)

include(KDEPackageAppTemplates)
include(ECMMarkNonGuiExecutable)
include(ECMAddTests)
include(ECMSetupQtPluginMacroNames)
include(ECMQmlModule)

include(AkonadiMacros)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(RELEASE_SERVICE_VERSION "25.11.90")
set(AKONADI_FULL_VERSION "${PIM_VERSION} (${RELEASE_SERVICE_VERSION})")

configure_file(akonadifull-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/akonadifull-version.h @ONLY)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX AKONADI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiConfigVersion.cmake"
    SOVERSION 6
)

# Find packages
find_package(Qt6Core ${QT_REQUIRED_VERSION} REQUIRED)
find_package(Qt6Sql ${QT_REQUIRED_VERSION} REQUIRED)
find_package(Qt6DBus ${QT_REQUIRED_VERSION} REQUIRED)
find_package(Qt6Network ${QT_REQUIRED_VERSION} REQUIRED)
find_package(Qt6Test ${QT_REQUIRED_VERSION} REQUIRED)
find_package(Qt6Widgets ${QT_REQUIRED_VERSION} REQUIRED)
find_package(Qt6Xml ${QT_REQUIRED_VERSION} REQUIRED)
find_package(Qt6Quick ${QT_REQUIRED_VERSION} REQUIRED)

find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(Qt6Designer NO_MODULE)
set_package_properties(
    Qt6Designer
    PROPERTIES
        PURPOSE
            "Required to build the Qt Designer plugins"
        TYPE
            OPTIONAL
)

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(
    DESIGNERPLUGIN
    ${BUILD_DESIGNERPLUGIN}
    "Build plugin for Qt Designer"
)

set(AccountsQt6_MINIMUM_VERSION "1.16")
find_package(AccountsQt6 ${AccountsQt6_MINIMUM_VERSION})
set_package_properties(
    AccountsQt6
    PROPERTIES
        DESCRIPTION
            "Qt bindings for the Accounts framework"
        URL
            "https://gitlab.com/accounts-sso/libaccounts-qt"
        TYPE
            OPTIONAL
)
set(KAccounts_MINIMUM_VERSION "19.08.0")
find_package(KAccounts6 ${KAccounts_MINIMUM_VERSION})
set_package_properties(
    KAccounts6
    PROPERTIES
        DESCRIPTION
            "KDE library for Accounts framework integration"
        URL
            "https://invent.kde.org/network/kaccounts-integration"
        TYPE
            OPTIONAL
)
if(${AccountsQt6_FOUND} AND ${KAccounts6_FOUND})
    set(WITH_ACCOUNTS TRUE)
endif()

set(LibLZMA_MINIMUM_VERSION "5.0.0")
find_package(LibLZMA ${LibLZMA_MINIMUM_VERSION})
set_package_properties(
    LibLZMA
    PROPERTIES
        DESCRIPTION
            "LZMA compression library"
        URL
            "https://tukaani.org/xz/"
        TYPE
            REQUIRED
)

if(BUILD_TESTING)
    set(AKONADI_TESTS_EXPORT AKONADICORE_EXPORT)
    set(AKONADIWIDGET_TESTS_EXPORT AKONADIWIDGETS_EXPORT)
    add_definitions(-DBUILD_TESTING)
endif()

ecm_setup_qtplugin_macro_names(
    JSON_ARG2
        "AKONADI_AGENTCONFIG_FACTORY"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

# Make sure the KF6Akonadi_DATA_DIR is absolute before passing it to KF6AkonadiConfig.cmake.in
# otherwise build fails either on OSX CI, or for normal users
if(IS_ABSOLUTE "${KDE_INSTALL_DATADIR_KF}")
    set(KF5Akonadi_DATA_DIR "${KDE_INSTALL_DATADIR_KF}/akonadi")
else()
    set(KF5Akonadi_DATA_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF}/akonadi")
endif()

check_symbol_exists(
    malloc_trim
    "malloc.h"
    HAVE_MALLOC_TRIM
)

############### Build Options ###############
option(BUILD_TOOLS "Build and install tools for development and testing purposes." TRUE)
option(INSTALL_APPARMOR "Install AppArmor profiles" TRUE)

if(BUILD_TESTING)
    set(BUILD_TOOLS TRUE)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()
set(SharedMimeInfo_MINIMUM_VERSION "1.10")
find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)

find_program(XSLTPROC_EXECUTABLE xsltproc)
if(NOT XSLTPROC_EXECUTABLE)
    message(
        FATAL_ERROR
        "\nThe command line XSLT processor program 'xsltproc'  could not be found.\nPlease install xsltproc.\n"
    )
endif()

find_program(
    MYSQLD_EXECUTABLE
    NAMES
        mariadbd
        mysqld
    PATHS
        /usr/sbin
        /usr/local/sbin
        /usr/libexec
        /usr/local/libexec
        /opt/mysql/libexec
        /usr/mysql/bin
        /opt/mysql/sbin
    DOC "The mariadbd or mysqld executable path. ONLY needed at runtime"
)

string(FIND ${MYSQLD_EXECUTABLE} "mariadb" _Position)
set(MYSQLDB_INSTALL_EXEC "mariadb-install-db")
if(${_Position} LESS 0)
    set(MYSQLDB_INSTALL_EXEC "mysql_install_db")
endif()

find_path(
    MYSQLD_SCRIPTS_PATH
    NAMES
        ${MYSQLDB_INSTALL_EXEC}
    DOC "Path to the mariadb or mysql installation scripts (mariadb-install-db, mariadb-upgrade...)"
)

if(MYSQLD_EXECUTABLE)
    message(STATUS "MySQL Server found: ${MYSQLD_EXECUTABLE}")
else()
    message(STATUS "MySQL Server wasn't found. it is required to use an MySQL backend (like mariadb or mysqld.")
endif()

if(MYSQLD_SCRIPTS_PATH)
    message(STATUS "MySQL scripts location: ${MYSQLD_SCRIPTS_PATH}")
else()
    message(STATUS "MySQL scripts location was not found. Use -DMYSQLD_SCRIPTS_PATH to point to the install location.")
endif()

find_path(
    POSTGRES_PATH
    NAMES
        pg_ctl
    HINTS
        /usr/lib${LIB_SUFFIX}/postgresql/8.4/bin
        /usr/lib${LIB_SUFFIX}/postgresql/9.0/bin
        /usr/lib${LIB_SUFFIX}/postgresql/9.1/bin
    DOC "The pg_ctl executable path. ONLY needed at runtime by the PostgreSQL backend"
)

if(POSTGRES_PATH)
    message(STATUS "PostgreSQL Server found.")
else()
    message(STATUS "PostgreSQL wasn't found. it is required to use the Postgres backend.")
endif()

find_program(XMLLINT_EXECUTABLE xmllint)
if(NOT XMLLINT_EXECUTABLE)
    message(STATUS "xmllint not found, skipping akonadidb.xml schema validation")
endif()

check_include_files(
    unistd.h
    HAVE_UNISTD_H
)

if(IS_ABSOLUTE "${KDE_INSTALL_DBUSINTERFACEDIR}")
    set(AKONADI_DBUS_INTERFACES_INSTALL_DIR "${KDE_INSTALL_DBUSINTERFACEDIR}")
else()
    set(AKONADI_DBUS_INTERFACES_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DBUSINTERFACEDIR}")
endif()

if(IS_ABSOLUTE "${KDE_INSTALL_INCLUDEDIR}/KPim6")
    set(AKONADI_INCLUDE_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim6")
else()
    set(AKONADI_INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_INCLUDEDIR}/KPim6")
endif()

############### Build Options ###############

include(CTest) # Calls enable_testing().

if(NOT DEFINED DATABASE_BACKEND)
    set(DATABASE_BACKEND
        "MYSQL"
        CACHE STRING
        "The default database backend to use for Akonadi. Can be either MYSQL, POSTGRES or SQLITE"
    )
endif()

############### Macros ###############

macro(SET_DEFAULT_DB_BACKEND)
    set(_backend ${ARGV0})
    if("${_backend}" STREQUAL "SQLITE")
        set(AKONADI_DATABASE_BACKEND QSQLITE)
    elseif("${_backend}" STREQUAL "POSTGRES")
        set(AKONADI_DATABASE_BACKEND QPSQL)
    elseif("${_backend}" STREQUAL "MYSQL")
        set(AKONADI_DATABASE_BACKEND QMYSQL)
    else()
        message(
            FATAL_ERROR
            "Invalid database backend \"${_backend}\". Supported values are MYSQL, POSTGRES and SQLITE."
        )
    endif()

    message(STATUS "Using default db backend ${AKONADI_DATABASE_BACKEND}")
endmacro()

#### DB BACKEND DEFAULT ####
set_default_db_backend(${DATABASE_BACKEND})

############### Compilers flags ###############

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc" OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
    set(CMAKE_C_FLAGS
        "${CMAKE_C_FLAGS} -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -Wextra -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common"
    )
    set(CMAKE_CXX_FLAGS
        "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wundef -Wcast-align -Wchar-subscripts -Wall -Wextra -Wpointer-arith -Wformat-security -fno-common -pedantic"
    )
    check_cxx_compiler_flag(
        -Wno-deprecated-copy
        NO_DEPRECATED_COPY
    )
    if(NO_DEPRECATED_COPY)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-copy")
    endif()

    set(CMAKE_CXX_FLAGS_DEBUGFULL
        "-g3 -fno-inline"
        CACHE STRING
        "Flags used by the C++ compiler during debugfull builds."
        FORCE
    )
    set(CMAKE_C_FLAGS_DEBUGFULL
        "-g3 -fno-inline"
        CACHE STRING
        "Flags used by the C compiler during debugfull builds."
        FORCE
    )
    mark_as_advanced(
        CMAKE_CXX_FLAGS_DEBUGFULL
        CMAKE_C_FLAGS_DEBUGFULL
    )
elseif(MSVC)
    # This sets the __cplusplus macro to a real value based on the version of C++ specified by
    # the /std switch. Without it MSVC keeps reporting C++98, so feature detection doesn't work.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:__cplusplus")
endif()

if(MSVC)
    set(_ENABLE_EXCEPTIONS -EHsc)
else()
    set(_ENABLE_EXCEPTIONS -fexceptions)
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}")

############### Configure files #############

configure_file(config-akonadi.h.in ${Akonadi_BINARY_DIR}/config-akonadi.h)

############### build targets ###############
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6Akonadi")
add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi6\")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    src
)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.20.0)

add_subdirectory(src)
add_subdirectory(icons)

add_subdirectory(templates)

if(BUILD_TOOLS)
    # add testrunner (application for managing a self-contained
    # test environment)
    add_subdirectory(autotests/libs/testrunner)
    add_subdirectory(autotests/libs/testresource)
    add_subdirectory(autotests/libs/testsearchplugin)
endif()

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if(INSTALL_APPARMOR)
    add_subdirectory(apparmor)
endif()

=== src/server/CMakeLists.txt ===
########### next target ###############
set(AKONADI_DB_SCHEMA "${CMAKE_CURRENT_SOURCE_DIR}/storage/akonadidb.xml")

akonadi_run_xsltproc(
    XSL ${CMAKE_CURRENT_SOURCE_DIR}/storage/entities.xsl
    XML ${AKONADI_DB_SCHEMA}
    BASENAME entities
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/storage/entities-source.xsl ${CMAKE_CURRENT_SOURCE_DIR}/storage/entities-header.xsl
)

akonadi_run_xsltproc(
    XSL ${Akonadi_SOURCE_DIR}/src/server/storage/schema.xsl
    XML ${AKONADI_DB_SCHEMA}
    CLASSNAME AkonadiSchema
    BASENAME akonadischema
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/storage/schema-source.xsl ${CMAKE_CURRENT_SOURCE_DIR}/storage/schema-header.xsl
)

akonadi_add_xmllint_test(
    akonadidb-xmllint
    XSD ${CMAKE_CURRENT_SOURCE_DIR}/storage/akonadidb.xsd
    XML ${AKONADI_DB_SCHEMA}
)
akonadi_add_xmllint_test(
    akonadidbupdate-xmllint
    XSD ${CMAKE_CURRENT_SOURCE_DIR}/storage/akonadidb.xsd
    XML ${AKONADI_DB_SCHEMA}
)

set(libakonadiserver_SRCS
    akonadi.cpp
    aggregatedfetchscope.cpp
    aklocalserver.cpp
    akthread.cpp
    commandcontext.cpp
    connection.cpp
    collectionscheduler.cpp
    handler.cpp
    handlerhelper.cpp
    intervalcheck.cpp
    handler/collectioncopyhandler.cpp
    handler/collectioncreatehandler.cpp
    handler/collectiondeletehandler.cpp
    handler/collectionfetchhandler.cpp
    handler/collectionmodifyhandler.cpp
    handler/collectionmovehandler.cpp
    handler/collectionstatsfetchhandler.cpp
    handler/itemcopyhandler.cpp
    handler/itemcreatehandler.cpp
    handler/itemdeletehandler.cpp
    handler/itemfetchhandler.cpp
    handler/itemfetchhelper.cpp
    handler/itemlinkhandler.cpp
    handler/itemmodifyhandler.cpp
    handler/itemmovehandler.cpp
    handler/loginhandler.cpp
    handler/logouthandler.cpp
    handler/resourceselecthandler.cpp
    handler/searchhandler.cpp
    handler/searchhelper.cpp
    handler/searchcreatehandler.cpp
    handler/searchresulthandler.cpp
    handler/tagcreatehandler.cpp
    handler/tagdeletehandler.cpp
    handler/tagfetchhandler.cpp
    handler/tagfetchhelper.cpp
    handler/tagmodifyhandler.cpp
    handler/transactionhandler.cpp
    search/agentsearchengine.cpp
    search/agentsearchinstance.cpp
    search/searchtaskmanager.cpp
    search/searchrequest.cpp
    search/searchmanager.cpp
    storage/collectionqueryhelper.cpp
    storage/collectionstatistics.cpp
    storage/entity.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/entities.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/akonadischema.cpp
    storage/datastore.cpp
    storage/dbconfig.cpp
    storage/dbconfigmysql.cpp
    storage/dbconfigpostgresql.cpp
    storage/dbconfigsqlite.cpp
    storage/dbexception.cpp
    storage/dbinitializer.cpp
    storage/dbinitializer_p.cpp
    storage/dbintrospector.cpp
    storage/dbintrospector_impl.cpp
    storage/dbupdater.cpp
    storage/dbtype.cpp
    storage/itemqueryhelper.cpp
    storage/itemretriever.cpp
    storage/itemretrievalmanager.cpp
    storage/itemretrievaljob.cpp
    storage/itemretrievalrequest.cpp
    storage/notificationcollector.cpp
    storage/parthelper.cpp
    storage/parttypehelper.cpp
    storage/query.cpp
    storage/querybuilder.cpp
    storage/querycache.cpp
    storage/schematypes.cpp
    storage/tagqueryhelper.cpp
    storage/transaction.cpp
    storage/parthelper.cpp
    storage/partstreamer.cpp
    storage/storagedebugger.cpp
    tracer.cpp
    utils.cpp
    dbustracer.cpp
    filetracer.cpp
    notificationmanager.cpp
    notificationsubscriber.cpp
    resourcemanager.cpp
    cachecleaner.cpp
    debuginterface.cpp
    preprocessorinstance.cpp
    preprocessormanager.cpp
    storagejanitor.cpp
    storage/akonadidb.qrc
    akonadi.h
    aggregatedfetchscope.h
    aklocalserver.h
    akthread.h
    commandcontext.h
    connection.h
    collectionscheduler.h
    handler.h
    handlerhelper.h
    intervalcheck.h
    handler/collectioncopyhandler.h
    handler/collectioncreatehandler.h
    handler/collectiondeletehandler.h
    handler/collectionfetchhandler.h
    handler/collectionmodifyhandler.h
    handler/collectionmovehandler.h
    handler/collectionstatsfetchhandler.h
    handler/itemcopyhandler.h
    handler/itemcreatehandler.h
    handler/itemdeletehandler.h
    handler/itemfetchhandler.h
    handler/itemfetchhelper.h
    handler/itemlinkhandler.h
    handler/itemmodifyhandler.h
    handler/itemmovehandler.h
    handler/loginhandler.h
    handler/logouthandler.h
    handler/resourceselecthandler.h
    handler/searchhandler.h
    handler/searchhelper.h
    handler/searchcreatehandler.h
    handler/searchresulthandler.h
    handler/tagcreatehandler.h
    handler/tagdeletehandler.h
    handler/tagfetchhandler.h
    handler/tagfetchhelper.h
    handler/tagmodifyhandler.h
    handler/transactionhandler.h
    search/agentsearchengine.h
    search/agentsearchinstance.h
    search/searchtaskmanager.h
    search/searchrequest.h
    search/searchmanager.h
    search/abstractsearchplugin.h
    storage/collectionqueryhelper.h
    storage/collectionstatistics.h
    storage/entity.h
    storage/datastore.h
    storage/dbconfig.h
    storage/dbconfigmysql.h
    storage/dbconfigpostgresql.h
    storage/dbconfigsqlite.h
    storage/dbexception.h
    storage/dbinitializer.h
    storage/dbinitializer_p.h
    storage/dbintrospector.h
    storage/dbintrospector_impl.h
    storage/dbupdater.h
    storage/dbtype.h
    storage/itemqueryhelper.h
    storage/itemretriever.h
    storage/itemretrievalmanager.h
    storage/itemretrievaljob.h
    storage/itemretrievalrequest.h
    storage/notificationcollector.h
    storage/parthelper.h
    storage/parttypehelper.h
    storage/query.h
    storage/querybuilder.h
    storage/querycache.h
    storage/schematypes.h
    storage/tagqueryhelper.h
    storage/transaction.h
    storage/parthelper.h
    storage/partstreamer.h
    storage/storagedebugger.h
    tracer.h
    utils.h
    dbustracer.h
    filetracer.h
    notificationmanager.h
    notificationsubscriber.h
    resourcemanager.h
    cachecleaner.h
    debuginterface.h
    preprocessorinstance.h
    preprocessormanager.h
    storagejanitor.h
)

set(akonadiserver_SRCS main.cpp)
ecm_qt_declare_logging_category(libakonadiserver_SRCS HEADER akonadiserver_debug.h IDENTIFIER AKONADISERVER_LOG CATEGORY_NAME org.kde.pim.akonadiserver
        DESCRIPTION "akonadi (Akonadi Server)"
        OLD_CATEGORY_NAMES log_akonadiserver
        EXPORT AKONADI
)

ecm_qt_declare_logging_category(libakonadiserver_SRCS HEADER akonadiserver_search_debug.h IDENTIFIER AKONADISERVER_SEARCH_LOG CATEGORY_NAME org.kde.pim.akonadiserver.search
        DESCRIPTION "akonadi (Akonadi Server Search Functionality)"
        EXPORT AKONADI
)

qt_generate_dbus_interface(debuginterface.h org.freedesktop.Akonadi.DebugInterface.xml)

qt_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.TracerNotification.xml dbustracer.h Akonadi::Server::DBusTracer)
qt_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Tracer.xml tracer.h Akonadi::Server::Tracer)
qt_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Server.xml akonadi.h Akonadi::Server::AkonadiServer)
qt_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.StorageDebugger.xml storage/storagedebugger.h Akonadi::Server::StorageDebugger)
qt_add_dbus_adaptor(libakonadiserver_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.DebugInterface.xml debuginterface.h Akonadi::Server::DebugInterface)
qt_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.ResourceManager.xml resourcemanager.h Akonadi::Server::ResourceManager)
qt_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.PreprocessorManager.xml preprocessormanager.h Akonadi::Server::PreprocessorManager)
qt_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.AgentManager.xml agentmanagerinterface)
qt_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Resource.xml resourceinterface)
qt_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Preprocessor.xml preprocessorinterface)
qt_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Agent.Control.xml agentcontrolinterface)
qt_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Agent.Search.xml agentsearchinterface)

add_library(libakonadiserver STATIC ${libakonadiserver_SRCS})
#if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
#    set_target_properties(libakonadiserver PROPERTIES UNITY_BUILD ON)
#    set_source_files_properties(storage/itemretrievalmanager.cpp PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON)
#endif()

set_target_properties(
    libakonadiserver
    PROPERTIES
        OUTPUT_NAME
            akonadiserver
)

if(MYSQLD_EXECUTABLE)
    target_compile_definitions(libakonadiserver PRIVATE MYSQLD_EXECUTABLE="${MYSQLD_EXECUTABLE}")
endif()

if(MYSQLD_SCRIPTS_PATH)
    target_compile_definitions(libakonadiserver PRIVATE MYSQLD_SCRIPTS_PATH="${MYSQLD_SCRIPTS_PATH}")
endif()

if(POSTGRES_PATH)
    target_compile_definitions(libakonadiserver PRIVATE POSTGRES_PATH="${POSTGRES_PATH}")
endif()

target_link_libraries(
    libakonadiserver
    akonadi_shared
    KPim6::AkonadiPrivate
    Qt::Core
    Qt::Network
    Qt::Sql
    Qt::DBus
    Qt::Xml
)

add_executable(akonadiserver ${akonadiserver_SRCS})
set_target_properties(
    akonadiserver
    PROPERTIES
        MACOSX_BUNDLE
            FALSE
)
set_target_properties(
    akonadiserver
    PROPERTIES
        OUTPUT_NAME
            akonadiserver
)
target_link_libraries(
    akonadiserver
    libakonadiserver
    KF6::CoreAddons
)

install(
    TARGETS
        akonadiserver
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(
    FILES
        storage/mysql-global.conf
        storage/mysql-global-mobile.conf
    DESTINATION ${KDE_INSTALL_CONFDIR}/akonadi
)

install(FILES search/abstractsearchplugin.h DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiCore/akonadi)

## DBus XML files
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.DebugInterface.xml
    DESTINATION ${AKONADI_DBUS_INTERFACES_INSTALL_DIR}
)

#######################################################

add_subdirectory(dbmigrator)

=== debian/changelog ===
akonadi (4:25.11.90-0ubuntu2) resolute; urgency=medium

  * Build gear build deps to 25.11.90.

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:49:02 +0000

akonadi (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:55:30 +0000

=== debian/control ===
Source: akonadi
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dh-apparmor,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libaccounts-qt6-dev (>= 1.16~),
               libboost-dev (>= 1.34.0~),
               libkaccounts6-dev (>= 4:25.11.90~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               liblzma-dev (>= 5.0.0~),
               libpq-dev,
               libsignon-qt6-dev,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.6.0~),
               shared-mime-info (>= 1.8~),
               xsltproc,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
Rules-Requires-Root: no

Package: akonadi-backend-mysql
Section: misc
Architecture: all
Depends: default-mysql-client-core | virtual-mysql-client-core,
         default-mysql-server-core | virtual-mysql-server-core,
         libqt6sql6-mysql,
         ${misc:Depends},
Recommends: akonadi-server,
Description: MySQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with MySQL
 as underlying data storage engine. By default, a local MySQL server instance
 will be started for each user. Alternatively, connection to an external MySQL
 database is supported as well.

Package: akonadi-backend-postgresql
Section: misc
Architecture: all
Depends: libqt6sql6-psql, ${misc:Depends},
Recommends: akonadi-server, postgresql,
Description: PostgreSQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with
 PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
 server instance will be started for each user. Alternatively, connection to an
 external PostgreSQL database is supported as well.

Package: akonadi-backend-sqlite
Section: misc
Architecture: all
Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends},
Recommends: akonadi-server,
Description: SQLite storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with SQLite
 as underlying data storage engine. Since SQLite is an embedded database
 engine, a separate SQL server daemon is not necessary.
 .
 In addition, the package contains an improved QSql driver for SQLite named
 "QSQLite3". It can be used by any application that needs to access SQLite
 databases via standard Qt QSql framework.

Package: akonadi-server
Section: net
Architecture: any
Depends: akonadi-backend-sqlite (= ${source:Version}) | akonadi-backend-mysql (= ${source:Version}) | akonadi-backend-postgresql (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: akonadi-backend-mysql (= ${source:Version}),
          akonadi-backend-postgresql (= ${source:Version}),
          akonadi-backend-sqlite (= ${source:Version}),
Description: Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains the Akonadi PIM storage server and associated programs.

Package: libakonadi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi arch independent data
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package ships arch independent data like translations etc.

Package: libakonadi-dev
Section: libdevel
Architecture: any
Depends: libakonadiserver-dev (>= ${binary:Version}),
         libkf6config-dev (>= 6.6.0~),
         libkf6configwidgets-dev (>= 6.6.0~),
         libkf6coreaddons-dev (>= 6.6.0~),
         libkf6itemmodels-dev (>= 6.6.0~),
         libkf6xmlgui-dev (>= 6.6.0~),
         libkpim6akonadiagentbase6 (= ${binary:Version}),
         libkpim6akonadiagentwidgetbase6 (= ${binary:Version}),
         libkpim6akonadicore6 (= ${binary:Version}),
         libkpim6akonadiwidgets6 (= ${binary:Version}),
         libkpim6akonadixml6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5akonadi-dev,
Replaces: libkf5akonadi-dev,
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5akonadi-dev-bin,
Replaces: libkf5akonadi-dev-bin,
Description: Additional development binaries for the Akonadi KDE PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 It contains files to run Akonadi based tests.

Package: libkpim6akonadiagentbase6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi agent base library
 This library contains classes to implement agents for the Akonadi PIM
 data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6akonadiagentwidgetbase6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi agent widget base library
 This library contains classes to implement agents for the Akonadi PIM
 data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6akonadicore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libakonadi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkpim6akonadiwidgets6 (= ${binary:Version}),
Description: Akonadi core library
 This library contains Akonadi PIM data server core classes.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6akonadiprivate6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: akonadi-server (= ${binary:Version}),
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.

Package: libakonadiserver-dev
Section: libdevel
Architecture: any
Depends: libkpim6akonadiprivate6 (= ${binary:Version}),
         ${misc:Depends},
Breaks: libkf5akonadiserver-dev,
Replaces: libkf5akonadiserver-dev,
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: libkpim6akonadiwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi widgets library
 This library contains standard widgets for the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6akonadixml6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi XML helper library
 This library provides XML helpers using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi 25.12.0

=== debian/changelog ===
akonadi (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:10:09 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                gettext,
                libaccounts-qt6-dev (>= 1.16~),
                libboost-dev (>= 1.34.0~),
-               libkaccounts6-dev (>= 4:25.11.90~),
+               libkaccounts6-dev (>= 4:25.12.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),

## akonadi 25.12.0+p24.04+vstable+git20251222.0420

=== debian/changelog ===
akonadi (4:25.12.0+p24.04+vstable+git20251222.0420-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 04:20:36 +0000

akonadi (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:40:55 +1000

akonadi (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:44:25 +1000

## akonadi 25.12.0+p24.04+vstable+git20251224.0712

=== debian/changelog ===
akonadi (4:25.12.0+p24.04+vstable+git20251224.0712-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:12:22 +0000

## akonadi 25.12.0+p24.04+vstable+git20260103.0421

=== debian/changelog ===
akonadi (4:25.12.0+p24.04+vstable+git20260103.0421-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:21:13 +0000

## akonadi 25.12.0+p24.04+vunstable+git20251208.2139

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.90")
-project(Akonadi VERSION ${PIM_VERSION})
+set(PIM_VERSION "6.6.40")
+project(Akonadi VERSION "6.6.41")
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.20.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 
@@ -55,12 +55,11 @@
     "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
 )
 
-set(RELEASE_SERVICE_VERSION "25.11.90")
+set(RELEASE_SERVICE_VERSION "26.03.40")
 set(AKONADI_FULL_VERSION "${PIM_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 configure_file(akonadifull-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/akonadifull-version.h @ONLY)
 
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
@@ -380,7 +379,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.20.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.21.0)
 
 add_subdirectory(src)
 add_subdirectory(icons)
@@ -404,3 +403,5 @@
     add_subdirectory(apparmor)
 endif()
 
+############### install stuff ###############
+

=== src/server/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,7 @@
     handler/tagfetchhelper.cpp
     handler/tagmodifyhandler.cpp
     handler/transactionhandler.cpp
+    localsocket.cpp
     search/agentsearchengine.cpp
     search/agentsearchinstance.cpp
     search/searchtaskmanager.cpp
@@ -156,6 +157,7 @@
     handler/tagfetchhelper.h
     handler/tagmodifyhandler.h
     handler/transactionhandler.h
+    localsocket_p.h
     search/agentsearchengine.h
     search/agentsearchinstance.h
     search/searchtaskmanager.h

=== debian/changelog ===
akonadi (4:25.12.0+p24.04+vunstable+git20251208.2139-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 21:39:54 +0000

## akonadi 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.40")
-project(Akonadi VERSION "6.6.41")
+set(PIM_VERSION "6.6.1")
+project(Akonadi VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 
@@ -55,11 +55,12 @@
     "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
 )
 
-set(RELEASE_SERVICE_VERSION "26.03.40")
+set(RELEASE_SERVICE_VERSION "25.12.1")
 set(AKONADI_FULL_VERSION "${PIM_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 configure_file(akonadifull-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/akonadifull-version.h @ONLY)
 
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
@@ -379,7 +380,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.21.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.20.0)
 
 add_subdirectory(src)
 add_subdirectory(icons)
@@ -403,5 +404,3 @@
     add_subdirectory(apparmor)
 endif()
 
-############### install stuff ###############
-

=== debian/changelog ===
akonadi (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:36:30 +0100

akonadi (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:46:25 +0100

akonadi (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:57:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,35 @@
 Source: akonadi
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
-               default-libmysqlclient-dev,
+Build-Depends: debhelper-compat (= 13),
                dh-apparmor,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.6.0~),
+               dh-sequence-qmldeps,
+               cmake (>= 3.16~),
+               default-libmysqlclient-dev,
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
+               kirigami-addons-dev,
                libaccounts-qt6-dev (>= 1.16~),
                libboost-dev (>= 1.34.0~),
-               libkaccounts6-dev (>= 4:25.12.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6configwidgets-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6crash-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6iconthemes-dev (>= 6.6.0~),
-               libkf6itemmodels-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkf6xmlgui-dev (>= 6.6.0~),
+               libkaccounts6-dev (>= 4:19.08.0~),
+               libkf6colorscheme-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6configwidgets-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6crash-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6iconthemes-dev (>= 6.18.0~),
+               libkf6itemmodels-dev (>= 6.18.0~),
+               libkf6widgetsaddons-dev (>= 6.18.0~),
+               libkf6windowsystem-dev (>= 6.18.0~),
+               libkf6xmlgui-dev (>= 6.18.0~),
+               libkirigami-dev,
                liblzma-dev (>= 5.0.0~),
                libpq-dev,
                libsignon-qt6-dev,
@@ -33,15 +37,16 @@
                libxml2-utils,
                libxslt1-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-base-private-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-base-private-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
                qt6-tools-dev (>= 6.6.0~),
-               shared-mime-info (>= 1.8~),
+               shared-mime-info (>= 1.10~),
                xsltproc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/akonadi
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi.git
 Rules-Requires-Root: no
 
 Package: akonadi-backend-mysql
@@ -65,8 +70,10 @@
 Package: akonadi-backend-postgresql
 Section: misc
 Architecture: all
-Depends: libqt6sql6-psql, ${misc:Depends},
-Recommends: akonadi-server, postgresql,
+Depends: libqt6sql6-psql,
+         ${misc:Depends},
+Recommends: akonadi-server,
+            postgresql,
 Description: PostgreSQL storage backend for Akonadi
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service. It provides a common framework for applications to store and
@@ -80,7 +87,9 @@
 Package: akonadi-backend-sqlite
 Section: misc
 Architecture: all
-Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends},
+Depends: libqt6sql6-sqlite,
+         ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: akonadi-server,
 Description: SQLite storage backend for Akonadi
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
@@ -114,7 +123,8 @@
 Package: libakonadi-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Akonadi arch independent data
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service. It provides a common framework for applications to store and
@@ -126,17 +136,18 @@
 Section: libdevel
 Architecture: any
 Depends: libakonadiserver-dev (>= ${binary:Version}),
-         libkf6config-dev (>= 6.6.0~),
-         libkf6configwidgets-dev (>= 6.6.0~),
-         libkf6coreaddons-dev (>= 6.6.0~),
-         libkf6itemmodels-dev (>= 6.6.0~),
-         libkf6xmlgui-dev (>= 6.6.0~),
+         libkf6config-dev (>= 6.18.0~),
+         libkf6configwidgets-dev (>= 6.18.0~),
+         libkf6coreaddons-dev (>= 6.18.0~),
+         libkf6itemmodels-dev (>= 6.18.0~),
+         libkf6xmlgui-dev (>= 6.18.0~),
          libkpim6akonadiagentbase6 (= ${binary:Version}),
          libkpim6akonadiagentwidgetbase6 (= ${binary:Version}),
          libkpim6akonadicore6 (= ${binary:Version}),
          libkpim6akonadiwidgets6 (= ${binary:Version}),
          libkpim6akonadixml6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qml6-module-org-kde-akonadi (= ${binary:Version}),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libkf5akonadi-dev,
@@ -151,7 +162,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: libkf5akonadi-dev-bin,
 Replaces: libkf5akonadi-dev-bin,
 Description: Additional development binaries for the Akonadi KDE PIM libraries
@@ -166,7 +178,8 @@
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Akonadi agent base library
  This library contains classes to implement agents for the Akonadi PIM
  data server.
@@ -177,9 +190,10 @@
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Akonadi agent widget base library
- This library contains classes to implement agents for the Akonadi PIM
+ This library contains classes to implement widget agents for the Akonadi PIM
  data server.
  .
  This package is part of the KDE Development Platform PIM libraries module.
@@ -201,7 +215,8 @@
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Suggests: akonadi-server (= ${binary:Version}),
 Description: libraries for the Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
@@ -229,7 +244,8 @@
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Akonadi widgets library
  This library contains standard widgets for the Akonadi PIM data server.
  .
@@ -239,8 +255,22 @@
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Akonadi XML helper library
  This library provides XML helpers using the Akonadi PIM data server.
  .
  This package is part of the KDE Development Platform PIM libraries module.
+
+Package: qml6-module-org-kde-akonadi
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
+Description: QML module for akonadi
+ Akonadi is an extensible cross-desktop Personal Information Management (PIM)
+ storage service. It provides a common framework for applications to store and
+ access mail, calendars, addressbooks, and other PIM data.
+ .
+ This package contains the QML module for akonadi.

## akonadi 25.12.1+p24.04+vstable+git20260122.0525

=== debian/changelog ===
akonadi (4:25.12.1+p24.04+vstable+git20260122.0525-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 05:25:58 +0000

akonadi (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:31:54 +1000

## akonadi 25.12.1+p24.04+vstable+git20260130.0912

=== debian/changelog ===
akonadi (4:25.12.1+p24.04+vstable+git20260130.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:12:14 +0000
